#include <bits/stdc++.h>

using namespace std;

int maks(int a[],int n,int x)
{
    int rez=0,ind;
    for(int i=x;i<n;i++)
    {
        if(a[i]>rez)
        {
            rez=a[i];
            ind=i;
        }
    }
    return ind;
}

int main()
{
    int n;
    bool p=true;
    cin>>n;
    int a[n];
    int b[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        b[i]=a[i];
    }
    sort(b,b+n);
    for(int i=0;i<n;i++)
    {
        if(b[i]!=a[n-i-1])
            p=false;
    }
    if(n==2)
    {
        cout<<a[1]<<" "<<a[0];
    }
    else if(p)
    {
        for(int i=0;i<n-2;i++)
            cout<<a[i]<<" ";
        cout<<a[n-1]<<" "<<a[n-2];
    }
    else
    {
        int ind=maks(a,n,1);
        if(a[ind]>=a[0])
        swap(a[ind],a[0]);
        else
        {
            for(int i=1;i<n;i++)
            {
                if(ind==i)
                {
                    ind=maks(a,n,i+1);
                }
                else
                {
                    if(a[ind]>a[i])
                    {
                         swap(a[ind],a[i]);
                        break;
                    }
                }
            }
        }
        for(int i=0;i<n;i++)
        cout<<a[i]<<" ";
    }


    return 0;
}